GDB (xrefs)

Namespaces | Macros | Functions
lookup_name_info-selftests.c File Reference
`#include "defs.h"`
`#include "selftest.h"`
`#include "symtab.h"`

Go to the source code of this file.

## Namespaces
| selftests
| selftests::lookup_name

## Macros
#define | CHECK_1(INCOMPLETE, LANG, NAME, EXPECTED)
#define | CHECK(LANG, NAME, EXPECTED) CHECK_1(false, LANG, NAME, EXPECTED)
#define | CHECK_INCOMPL(LANG, NAME, EXPECTED) CHECK_1 (true, LANG, NAME, EXPECTED)

## Functions
static void | selftests::lookup_name::check_make_paramless (const char *file, int line, enum language lang, const char *name, const char *expected, bool completion_mode)
static void | selftests::lookup_name::run_tests ()
void | _initialize_lookup_name_info_selftests ()

## Macro Definition Documentation

## ◆ CHECK

#define CHECK | ( |  | LANG,
|  |  | NAME,
|  |  | EXPECTED
| ) |  | CHECK_1(false, LANG, NAME, EXPECTED)

Referenced by selftests::lookup_name::run_tests().

## ◆ CHECK_1

#define CHECK_1 | ( |  | INCOMPLETE,
|  |  | LANG,
|  |  | NAME,
|  |  | EXPECTED
| ) |  |

Value:
do \
{ \
check_make_paramless (__FILE__, __LINE__, \
LANG, NAME, \
(INCOMPLETE) ? "" : (EXPECTED), false); \
check_make_paramless (__FILE__, __LINE__, \
LANG, NAME, EXPECTED, true); \
} \
while (0)
NAME
#define NAME
Definition: ada-exp.c:237

## ◆ CHECK_INCOMPL

#define CHECK_INCOMPL | ( |  | LANG,
|  |  | NAME,
|  |  | EXPECTED
| ) |  | CHECK_1 (true, LANG, NAME, EXPECTED)

## Function Documentation

## ◆ _initialize_lookup_name_info_selftests()

void _initialize_lookup_name_info_selftests | ( |  | ) |

Definition at line 107 of file lookup_name_info-selftests.c.

References selftests::register_test(), and selftests::lookup_name::run_tests().